#' @author Eric Coissac
#' @export
H_q = function(x,q=1) {
  sum(x * log_q(1/x,q),na.rm = TRUE)
}

#' @author Eric Coissac
#' @export
D_q = function(x,q=1) {
  exp_q(H_q(x,q),q)
}

#' @author Eric Coissac
#' @export
H_spectrum = function(x,q=1) {
  sapply(q,function(Q) H_q(x,Q))
}

#' @author Eric Coissac
#' @export
D_spectrum = function(x,q=1) {
  sapply(q,function(Q) D_q(x,Q))
}
